<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('disciplines', function (Blueprint $table) {
            if (!Schema::hasColumn('disciplines', 'code')) {
                $table->string('code')->nullable()->after('id');

            }

            if (!Schema::hasColumn('disciplines', 'sport')) {
                $table->string('sport')->nullable()->after('code');
            }
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('disciplines', function (Blueprint $table) {
            $table->dropColumn('code', 'sport');
        });
    }
};
